再记一次配置服务器问题

在本地环境中没有任何问题,但是把同样的apache文件及php文件复制到服务器上去的时候,问题就出来了,这不,PHP Warning: PHP Startup: Unable to load dynamic library 'openssl',在启动apache服务时就报无法加载这个module,网上百度,谷歌了好多,都说的是需要依赖文件,libeay32.dll 跟ssleay32.dll 文件复制到c:/window/system32 下面,恩,不错,这样是对的,但是说的是php版本中会自带这两个文件?为何我下载的php7.2.9就没有这两个文件呢?难道是我打开方式不对?最后还是下载了个wamp集成环境,然后再从集成环境中的apache服务中copy的这两个文件到自己的apache服务bin文件夹下面的最后才把问题解决了。

记住,倘若是apache的bin下面有这两个文件,c:/window/system32下面也有这两个文件,但是问题还是存在,则有可能是你的libeay32文件跟ssleay32文件版本不对,这需要注意点了。我的这个就是这样的。本地下的这两个文件要比服务器上面的这两个文件要大许多。版本不同一定不会成功,切记

百度未收录
分享